Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Hit

Prev Next
Post
/hit/tag

Used to add a tag or update an attribute when an event occurs or an attribute changes outside your app, for example "balance.updated", "user.balance", etc.

For more information on attributes and tags review our dedicated guide.

Body parameters
Set a user's first name attribute
{
  "apptoken": "YOUR_APPTOKEN",
  "device_id": "20",
  "tag": "user_first_name",
  "value": "Sam"
}
object
apptoken
string Required

Your App token

device_id
string

An ID used to identify the user. Use one of device_id, device_external_id, device_token, device_idfa, device_adid

device_external_id
string

An ID used to identify the user. Use one of device_id, device_external_id, device_token, device_idfa, device_adid

device_token
string

An ID used to identify the user. Use one of device_id, device_external_id, device_token, device_idfa, device_adid

device_idfa
string

An ID used to identify the user. Use one of device_id, device_external_id, device_token, device_idfa, device_adid

device_adid
string

An ID used to identify the user. Use one of device_id, device_external_id, device_token, device_idfa, device_adid

tag
string Required

The tag being hit, eg. "user.first_name"

value
string

The value associated with this tag

timestamp
string (date-time)

Timestamp in ms to associate with the occurrence of the event or attribute change

metric
string

Used to set any associated metric

Responses
200

200

Result
{
  "success": "True",
  "code": "200"
}
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string